<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.admin.email_body.list_email_body' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-10 col-xl-10">&nbsp;</div>
            <div class="col-md-2 col-xl-2 form-group text-right">
                <label class="col-form-label">&nbsp;</label>
                <button *ngIf="accesAddBtn" type="button" [routerLink]="['/admin/email/add-edit-email']" class="btn btn-primary btn-md text-center">
                    <i class="icofont icofont-ui-add"></i> {{'epdb.admin.email_body.btn_add_email_body' | translate}}
                </button>
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilter : filterQuery"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="10%">
                                <mfDefaultSorter by="body_id">ID</mfDefaultSorter>
                            </th>
                            <th width="20%">
                                <mfDefaultSorter by="body_type">{{'epdb.admin.email_body.email_body_type' | translate}}</mfDefaultSorter>
                            </th>
                            <!-- <th width="40%">{{'epdb.admin.email_body.email_body' | translate}}</th> -->
                            <th width="20%">
                                <mfDefaultSorter by="subject">Subject</mfDefaultSorter>
                            </th>
                            <th width="10%">
                                <mfDefaultSorter by="KeyValue">{{'epdb.admin.language.language' | translate}}</mfDefaultSorter>
                            </th>
                            <th width="10%" *ngIf="accesUpdateBtn || accesDeleteBtn">{{'general.action' | translate}}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="data!=null && data!=''">
                        <tr *ngFor="let item of mf.data">
                            <td>{{item.body_id}}</td>
                            <td>{{item.body_type}}</td>
                            <!-- <td>{{item.body_email}}</td> -->
                            <td>{{item.subject}}</td>
                            <td>{{item.KeyValue}}</td>
                            <td class="action-icon text-center" *ngIf="accesUpdateBtn || accesDeleteBtn">
                                <a *ngIf="accesUpdateBtn" (click)="editEmailBody(item.body_id)" class="text-muted f-18" ngbTooltip="{{'general.tool_tip_edit' | translate}}">
                                    <i class="icofont icofont-ui-edit" style="cursor: pointer"></i>
                                </a>
                                <a *ngIf="accesDeleteBtn" (click)="openConfirmsSwal(item.body_id)" class="text-muted f-18" ngbTooltip="{{'general.tool_tip_delete' | translate}}">
                                    <i class="icofont icofont-delete-alt" style="cursor: pointer"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="5">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="5" class="text-center">{{'general.loading_data' | translate}} ...</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="5" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>